# This is currently used to tag errors from these paths in sentry
# Tag = `inst.team:vice`
name: vice
owned_globs:
# these are mostly file paths that mention "conversation"
# or "discussion"
# TODO: add messages
- app/controllers/conversations_controller.rb
- app/controllers/discussion*_controller.rb
- app/graphql/loaders/discussion_*_loader.rb
- app/graphql/mutations/*_discussion*.rb
- app/graphql/mutations/add_conversation_message.rb
- app/graphql/mutations/create_conversation.rb
- app/graphql/mutations/delete_conversation_messages.rb
- app/graphql/mutations/delete_conversations.rb
- app/graphql/mutations/discussion_base.rb
- app/graphql/mutations/update_conversation_participants.rb
- app/graphql/types/conversation_message_type.rb
- app/graphql/types/conversation_participant_type.rb
- app/graphql/types/conversation_type.rb
- app/graphql/types/discussion*_type.rb
- app/helpers/conversations_helper.rb
- app/helpers/discussion_topics_helper.rb
- app/messages/added_to_conversation.email.erb
- app/messages/added_to_conversation.email.html.erb
- app/messages/added_to_conversation.sms.erb
- app/messages/added_to_conversation.summary.erb
- app/messages/added_to_conversation.twitter.erb
- app/messages/conversation_created.email.erb
- app/messages/conversation_created.email.html.erb
- app/messages/conversation_created.sms.erb
- app/messages/conversation_created.summary.erb
- app/messages/conversation_created.twitter.erb
- app/messages/conversation_message.email.erb
- app/messages/conversation_message.email.html.erb
- app/messages/conversation_message.sms.erb
- app/messages/conversation_message.summary.erb
- app/messages/conversation_message.twitter.erb
- app/messages/discussion_mention.email.erb
- app/messages/discussion_mention.email.html.erb
- app/messages/discussion_mention.sms.erb
- app/messages/discussion_mention.summary.erb
- app/messages/discussion_mention.twitter.erb
- app/messages/new_discussion_entry.email.erb
- app/messages/new_discussion_entry.email.html.erb
- app/messages/new_discussion_entry.sms.erb
- app/messages/new_discussion_entry.summary.erb
- app/messages/new_discussion_entry.twitter.erb
- app/messages/new_discussion_topic.email.erb
- app/messages/new_discussion_topic.email.html.erb
- app/messages/new_discussion_topic.sms.erb
- app/messages/new_discussion_topic.summary.erb
- app/messages/new_discussion_topic.twitter.erb
- app/models/conversation*.rb
- app/models/discussion_entry*.rb
- app/models/discussion_topic*.rb
- app/models/discussion_topic/*
- app/models/importers/discussion_topic_importer.rb
- app/presenters/discussion_topic_presenter.rb
- app/stylesheets/bundles/conversations_new.scss
- app/stylesheets/bundles/discussions.scss
- app/stylesheets/bundles/discussions_edit.scss
- app/stylesheets/bundles/discussions_index.scss
- app/stylesheets/pages/conversations
- app/stylesheets/pages/conversations/_compose_message_dialog.scss
- app/stylesheets/pages/conversations/_conversations_new.scss
- app/views/conversations/*
- app/views/discussion_topics/*
- doc/api/data_services/json/caliper/event-types/discussion_entry_created.json
- doc/api/data_services/json/caliper/event-types/discussion_topic_created.json
- doc/api/data_services/json/canvas/event-types/conversation_created.json
- doc/api/data_services/json/canvas/event-types/conversation_forwarded.json
- doc/api/data_services/json/canvas/event-types/conversation_message_created.json
- doc/api/data_services/json/canvas/event-types/discussion_entry_created.json
- doc/api/data_services/json/canvas/event-types/discussion_entry_submitted.json
- doc/api/data_services/json/canvas/event-types/discussion_topic_created.json
- doc/api/data_services/json/canvas/event-types/discussion_topic_updated.json
- doc/api/data_services/md/dynamic/data_service_canvas_conversation.md
- doc/api/data_services/md/dynamic/data_service_canvas_discussion.md
- lib/api/v1/conversation.rb
- lib/api/v1/discussion_topics.rb
- lib/cc/importer/standard/discussion_converter.rb
- lib/conversation_batch_scrubber.rb
- lib/conversation_helper.rb
- lib/data_fixup/fill_root_account_ids_on_conversation_message_participant.rb
- lib/data_fixup/fix_discussion_topic_materialized_views.rb
- lib/data_fixup/populate_conversation_participant_private_hash.rb
- lib/data_fixup/populate_missing_conversation_and_conversation_participant_root_account_ids.rb
- lib/data_fixup/populate_root_account_ids_on_conversation_message_participant.rb
- lib/data_fixup/populate_root_account_ids_on_conversations_tables.rb
- lib/data_fixup/turn_off_anonymous_grading_for_discussion_topics_and_quizzes.rb
- spec/apis/v1/conversations_api_spec.rb
- spec/apis/v1/discussion*_spec.rb
- spec/contracts/service_consumers/api/provider_states_for_consumer/discussions_provider_states.rb
- spec/controllers/conversations_controller_spec.rb
- spec/controllers/discussion_entries_controller_spec.rb
- spec/controllers/discussion_topics_api_controller_spec.rb
- spec/controllers/discussion_topics_controller_spec.rb
- spec/factories/conversation_factory.rb
- spec/factories/discussion_topic_factory.rb
- spec/fixtures/importer/bb8/discussion_topic.json
- spec/fixtures/importer/bb8/group_discussion.json
- spec/fixtures/importer/discussion_assignments.json
- spec/fixtures/importer/vista/discussion_topic.json
- spec/graphql/loaders/discussion_entry_loader_spec.rb
- spec/graphql/mutations/*discussion*_spec.rb
- spec/graphql/mutations/add_conversation_message_spec.rb
- spec/graphql/mutations/create_conversation_spec.rb
- spec/graphql/mutations/delete_conversation_messages_spec.rb
- spec/graphql/mutations/delete_conversations_spec.rb
- spec/graphql/mutations/update_conversation_participants_spec.rb
- spec/graphql/types/conversation_type_spec.rb
- spec/graphql/types/discussion_entry_type_spec.rb
- spec/graphql/types/discussion_type_spec.rb
- spec/integration/discussion_topics_spec.rb
- spec/lib/data_fixup/populate_missing_conversation_and_conversation_participant_root_account_ids_spec.rb
- spec/lib/data_fixup/populate_root_account_ids_on_conversations_tables_spec.rb
- spec/lib/data_fixup/turn_off_anonymous_grading_for_discussion_topics_and_quizzes_spec.rb
- spec/messages/added_to_conversation.erb_spec.rb
- spec/messages/conversation_created.erb_spec.rb
- spec/messages/conversation_message.erb_spec.rb
- spec/messages/discussion_mention.erb_spec.rb
- spec/messages/new_discussion_entry.erb_spec.rb
- spec/messages/new_discussion_topic.erb_spec.rb
- spec/models/content_migration/course_copy_discussions_spec.rb
- spec/models/conversation_batch_spec.rb
- spec/models/conversation_message_participant_spec.rb
- spec/models/conversation_message_spec.rb
- spec/models/conversation_participant_spec.rb
- spec/models/conversation_spec.rb
- spec/models/discussion_entry_participant_spec.rb
- spec/models/discussion_entry_spec.rb
- spec/models/discussion_topic
- spec/models/discussion_topic/materialized_view_spec.rb
- spec/models/discussion_topic/scoped_to_sections_spec.rb
- spec/models/discussion_topic_participant_spec.rb
- spec/models/discussion_topic_section_visibility_spec.rb
- spec/models/discussion_topic_spec.rb
- spec/models/importers/discussion_topic_importer_spec.rb
- spec/presenters/discussion_topic_presenter_spec.rb
- spec/requests/discussion_topics_spec.rb
- spec/selenium/admin/duplications/discussion_duplications_spec.rb
- spec/selenium/assignments/assignments_discussion_spec.rb
- spec/selenium/conversations/*
- spec/selenium/dashboard/planner/student_planner_graded_ungraded_discussion_spec.rb
- spec/selenium/discussions/**
- spec/selenium/helpers/conversations_common.rb
- spec/selenium/helpers/differentiated_assignments/da_discussion.rb
- spec/selenium/helpers/differentiated_assignments/da_homework_discussions_module.rb
- spec/selenium/helpers/discussions_common.rb
- spec/selenium/helpers/spec_components/spec_components_discussion.rb
- spec/selenium/master_courses/blueprint_discussions_spec.rb
- spec/selenium/rcs/discussion_group_submit_spec.rb
- spec/selenium/rcs/discussions_post_grades_to_sis_spec.rb
- spec/views/discussion_topics
- spec/views/discussion_topics/_entry.html.erb_spec.rb
- spec/views/discussion_topics/show.html.erb_spec.rb
- spec/views/shared/_discussion_entry.html.erb_spec.rb
- ui/features/conversations/**/*
